// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : Plant的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var Plant_PlantNr = grmi.NewField("PlantNr", "Plant.PlantNr", "plantnr", grmi.TypeInt)
var Plant_Status = grmi.NewField("Status", "Plant.Status", "status", grmi.TypeInt)
var Plant_Name1 = grmi.NewField("Name1", "Plant.Name1", "name1", grmi.TypeString)
var Plant_Name2 = grmi.NewField("Name2", "Plant.Name2", "name2", grmi.TypeString)
var Plant_Logo = grmi.NewField("Logo", "Plant.Logo", "logo", grmi.TypeString)
var Plant_Abrevname = grmi.NewField("Abrevname", "Plant.Abrevname", "abrevname", grmi.TypeString)
var Plant_Country = grmi.NewField("Country", "Plant.Country", "country", grmi.TypeString)
var Plant_Street = grmi.NewField("Street", "Plant.Street", "street", grmi.TypeString)
var Plant_Address = grmi.NewField("Address", "Plant.Address", "address", grmi.TypeString)
var Plant_PostCode = grmi.NewField("PostCode", "Plant.PostCode", "postcode", grmi.TypeString)
var Plant_Phone = grmi.NewField("Phone", "Plant.Phone", "phone", grmi.TypeString)
var Plant_Fax = grmi.NewField("Fax", "Plant.Fax", "fax", grmi.TypeString)
var Plant_StartYear = grmi.NewField("StartYear", "Plant.StartYear", "startyear", grmi.TypeInt)
var Plant_EndYear = grmi.NewField("EndYear", "Plant.EndYear", "endyear", grmi.TypeInt)
var Plant_CompanyTitle = grmi.NewField("CompanyTitle", "Plant.CompanyTitle", "companytitle", grmi.TypeString)
var Plant_CompanyAddress = grmi.NewField("CompanyAddress", "Plant.CompanyAddress", "companyaddress", grmi.TypeString)
var Plant_TaxId = grmi.NewField("TaxId", "Plant.TaxId", "taxid", grmi.TypeString)
var Plant_AccountBank = grmi.NewField("AccountBank", "Plant.AccountBank", "accountbank", grmi.TypeString)
var Plant_AccountNr = grmi.NewField("AccountNr", "Plant.AccountNr", "accountnr", grmi.TypeInt)
var Plant_Currency = grmi.NewField("Currency", "Plant.Currency", "currency", grmi.TypeString)
var Plant_LastModify = grmi.NewField("LastModify", "Plant.LastModify", "lastmodify", grmi.TypeDateTime)
var Plant_LastUser = grmi.NewField("LastUser", "Plant.LastUser", "lastuser", grmi.TypeString)
var Plant_CreateTime = grmi.NewField("CreateTime", "Plant.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : Plant的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var Plant = grmi.NewEntity(
	"Plant",
	func() interface{} { return &model.Plant{} },
	map[string]grmi.Field{
		Plant_PlantNr.Name:        Plant_PlantNr,
		Plant_Status.Name:         Plant_Status,
		Plant_Name1.Name:          Plant_Name1,
		Plant_Name2.Name:          Plant_Name2,
		Plant_Logo.Name:           Plant_Logo,
		Plant_Abrevname.Name:      Plant_Abrevname,
		Plant_Country.Name:        Plant_Country,
		Plant_Street.Name:         Plant_Street,
		Plant_Address.Name:        Plant_Address,
		Plant_PostCode.Name:       Plant_PostCode,
		Plant_Phone.Name:          Plant_Phone,
		Plant_Fax.Name:            Plant_Fax,
		Plant_StartYear.Name:      Plant_StartYear,
		Plant_EndYear.Name:        Plant_EndYear,
		Plant_CompanyTitle.Name:   Plant_CompanyTitle,
		Plant_CompanyAddress.Name: Plant_CompanyAddress,
		Plant_TaxId.Name:          Plant_TaxId,
		Plant_AccountBank.Name:    Plant_AccountBank,
		Plant_AccountNr.Name:      Plant_AccountNr,
		Plant_Currency.Name:       Plant_Currency,
		Plant_LastModify.Name:     Plant_LastModify,
		Plant_LastUser.Name:       Plant_LastUser,
		Plant_CreateTime.Name:     Plant_CreateTime,
	},
	[]string{},
	[]string{"Status", "Name1", "Name2", "Logo", "Abrevname", "Country", "Street", "Address", "PostCode", "Phone", "Fax", "StartYear", "EndYear", "CompanyTitle", "CompanyAddress", "TaxId", "AccountBank", "AccountNr", "Currency", "LastUser"})
